REGULATOR_BULK_GET(9)

NAME
regulator_bulk_get - get multiple regulator consumers

SYNOPSIS

int regulator_bulk_get(struct device * dev, int num_consumers, struct regulator_bulk_data * consumers);

ARGUMENTS

dev
    Device to supply

num_consumers
    Number of consumers to register

consumers
    Configuration of consumers; clients are stored here.

DESCRIPTION

return 0 on success, an errno on failure.

This helper function allows drivers to get several regulator consumers in one operation. If any of the regulators cannot be acquired then any regulators that were allocated will be freed before returning to the caller.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT